#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		okver		%(echo %{release} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	installok
Version		:	1.3.0.3
Release		:	17.2.23.rel%{?dist}
Summary		:	shell script installer
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv2+
URL		:	http://www.osukiss.org

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#-----------------------------------------------------------------------------
Requires	:	bc
Requires	:	coreutils
Requires	:	dialog
Requires	:	dosfstools
Requires	:	e2fsprogs
Requires	:	grub2
Requires	:	gdisk
Requires	:	os-prober
Requires	:	parted
Requires	:	util-linux
Requires	:	sed
Requires	:	smartmontools

#-----------------------------------------------------------------------------
%description
script to install osukiss on storage device
Automatically started when login as root

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%config(noreplace) %{_sysconfdir}/zypp/repos.d/OK-inst-*.repo
%config(noreplace) %{_sysconfdir}/zypp/vars.d/releasever
%config(noreplace) /root/%{name}/repoloc/%{okver}
/root/%{name}/langkey
/root/%{name}/locale/*/LC_MESSAGES/%{name}.mo
/root/%{name}/repoloc/empty/*
/root/%{name}/shell/*.sh
/root/%{name}/shell/diskhyb
/root/%{name}/shell/diskpart
/root/%{name}/shell/raidpart
/root/%{name}/yum.conf
/root/%{name}/yum.repos.d/*
#-----------------------------------------------------------------------------
%post
#to activate startup when root is logged
if [ "$1" = 1 ]; then
  /bin/echo						\
	"/root/installok/shell/startup.sh"	>>	\
	/root/.bash_profile
  fi

%preun
if [ "$1" = 0 ]; then
  sed -i						\
  	-e ":/root/installok/shell/startup.sh: d"	\
	/root/.bash_profile
  fi


#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e "/RELEASEVER/cRELEASEVER=${OKNUM}"				\
  shell/conf.sh

#adjusting repoloc contents
find repoloc -type l -exec rm {} \;
%{__ln_s} empty repoloc/%{okver}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make} DESTDIR="%{buildroot}" install

%{__rm} -fr %{buildroot}/root/%{name}/pot

%{__mkdir_p} %{buildroot}%{_sysconfdir}/zypp/repos.d/
%{__cp} -a						\
	%{name}-ok_addon/*.repo				\
	%{buildroot}%{_sysconfdir}/zypp/repos.d/

#set the zypper release version number
%{__mkdir_p} %{buildroot}%{_sysconfdir}/zypp/vars.d/
echo $OKNUM 						\
	> %{buildroot}%{_sysconfdir}/zypp/vars.d/releasever
#-----------------------------------------------------------------------------
%changelog
* Mon Dec  9 2024 last Update
- adding zypper repo

